
D4Science Infrastructure - VM Creation #12863

Create a new VM as data1.d4science.org to release the URI-Resolver REST version

Nov 12, 2018 06:13 PM - Francesco Mangiacrapa

Status: Closed Start date: Nov 13, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: UnSprintable   

Infrastructure: Production Applications list and

version:

UriResolver 2.0

RAM: 4 Applications context

path:

/uri-resolver

CPU: 2 External storage data

disk:

 

DiskSpace: 12 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: LATEST PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu

/d4science.research-infrastructures.eu/D

4Research/AGINFRAplusDev

  

Description

Subtasks:

Task # 12871: Create ansible role to install the URI resolver. Closed

History

#1 - Nov 12, 2018 06:16 PM - Andrea Dell'Amico

Ehm. The VM already exists, it was created to test the smartgears based uri-resolver. Do you really need a new one?

#2 - Nov 12, 2018 06:41 PM - Francesco Mangiacrapa

- Subject changed from Create a new VM as data1-d.d4science.org to release the URI-Resolver REST version to Create a new VM as

data1-p.d4science.org to release the URI-Resolver REST version

Andrea Dell'Amico wrote:

Ehm. The VM already exists, it was created to test the smartgears based uri-resolver. Do you really need a new one?

 Ehm.. sorry It was the cut&paste (I pasted data1-d.d4science.org). I need a new machine (data1-p.d4science.org?) to release the new URI-Resolver

REST version in production in order to serve some requests from the Aginfra community. In fact, (for the moment) only the root and VRE scope

"/d4science.research-infrastructures.eu/D4Research/AGINFRAplusDev" has been requested as Smartgear scope.

At the moment, the URI-Resolver REST deployed on data1-d.d4science.org is under testing for dev environment. The old ones (of production under

data.d4science.org) based on servlets will be maintained until the new URI-Resolver REST will not be tested really well and to be ready to production.

After that, we could dismiss the old machines and use the new one/ones created based on Smartgear (always under the hproxy data.d4science.org).

#3 - Nov 12, 2018 06:58 PM - Andrea Dell'Amico

- Subject changed from Create a new VM as data1-p.d4science.org to release the URI-Resolver REST version to Create a new VM as

data1.d4science.org to release the URI-Resolver REST version

OK. So stand alone right now, under the load balancer when the new uri-resolver and the other apps can live with smartgears.

Apr 30, 2025 1/2



#4 - Nov 13, 2018 11:22 AM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 50

data1-p.d4science.org created as requested, to be provisioned.

#5 - Nov 13, 2018 05:03 PM - Andrea Dell'Amico

@francesco.mangiacrapa@isti.cnr.it Where do I can find the URI resolver artifact? We do not have an ansible role for it, yet.

#6 - Nov 13, 2018 05:35 PM - Andrea Dell'Amico

- % Done changed from 50 to 90

The VM has been provisioned in all its components but the uri-resolver. Waiting for the maven coordinates.

#7 - Nov 13, 2018 06:21 PM - Francesco Mangiacrapa

@andrea.dellamico@isti.cnr.it and @tommaso.piccioli@isti.cnr.it many thanks.

The uri-resolver component is searchable at http://maven.research-infrastructures.eu/nexus/index.html#nexus-search;quick~uri-resolver

The Maven coordinates are:

<dependency>

  <groupId>org.gcube.data.transfer</groupId>

  <artifactId>uri-resolver</artifactId>

  <version>[2.0.0-SHANPSHOT, 3.0.0-SNAPSHOT)</version>

  <type>war</type>

</dependency>

 If you need a specific version you can use the following one: 2.0.0-4.13.0-174129

#8 - Nov 13, 2018 06:37 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

The uri-resolver has also been installed. Can you check?

#9 - Nov 14, 2018 11:14 AM - Francesco Mangiacrapa

- Status changed from Feedback to Closed

The URI-Resolver has been installed correctly. It works (e.g at http://data1-p.d4science.org/info). Thanks
